var fs = require('fs');

exports.printError = function (message) {
    console.error(`\n[!!!] ${message}\n`)
}
exports.printWarnning = function (message) {
    console.warn(`\n[!] ${message}\n`)
}
exports.printInfo = function (message) {
    console.info(`\n[i] ${message}\n`)
}

exports.fileContent = async function (fileName) {
    return new Promise((resolve, reject) => {
        fs.readFile(fileName, 'utf8', function (err, data) {
            if (err) throw err;
            resolve(data);
        }
        );
    });
}


exports.saveFile = function (fileName, fileData) {
    return fs.writeFileSync(`./${fileName}`, fileData);
}




